/*

Theme Name: RetroPlay Hello Child Theme

Theme URI: https://github.com/elementor/hello-theme/

Description: RetroPlay Hello Child Theme is a child theme of Hello Elementor, created by MagicView

Author: MagicView

Author URI: https://magicview.hu/

Template: hello-elementor

Version: 1.0.1

Text Domain: hello-elementor-child

License: GNU General Public License v3 or later.

License URI: https://www.gnu.org/licenses/gpl-3.0.html

*/


/* Megakadályozza a vízszintes görgetést az oldalon, 
   és elrejti az oldal szélességén túllógó elemeket. */
html, body {
    overflow-x: hidden;
}


/* Neon árnyék és glow hatás a 'neon-heading' osztályú címsorokra */
.neon-heading {
    text-shadow: 
        0px 0px 8px rgba(0, 191, 255, 0.8),   /* Neon kék ragyogás */
        0px 0px 16px rgba(255, 0, 127, 0.6);  /* Neon pink külső fény */
}

/* Hover-effekt kiemelés a 'neon-heading' osztályú címsorokra */
.neon-heading:hover {
    text-shadow: 
        0px 0px 10px rgba(255, 215, 0, 1),    /* Citromsárga glow hoverkor */
        0px 0px 20px rgba(255, 0, 127, 0.8);  /* Pink hover fény */
    transition: all 0.3s ease-in-out; /* Sima animáció */
}


/* Alapértelmezés szerint minden platform-container rejtve van */
.platform-container {
    display: none; /* Az összes platform-container rejtve */
}

/* Az "all" platform-container látható alapértelmezetten */
.platform-all {
    display: block; /* Csak az "all" platform-container jelenik meg */
}


/* A platformválasztó űrlap gomb elrejtése */
.platform-form button {
    display: none;
}
